<?php

namespace filebase\page;

use filebase\acp\page\LicenseListPage;
use wcf\system\WCF;

class UserLicenseListPage extends LicenseListPage {
	/**
	 * @inheritDoc
	 */
	public $neededPermissions = ['user.filebase.canAddFile'];
	
	/**
	 * @inheritDoc
	 */
	public $neededModules = ['FILEBASE_ENABLE_LICENSE'];
	
	/**
	 * @inheritDoc
	 */
	public $validSortFields = ['licenseID', 'licenseName', 'licenseURL', 'username'];
	
	/**
	 * @inheritDoc
	 */
	protected function initObjectList() {
		parent::initObjectList();
		
		//$this->objectList->getConditionBuilder()->add('(license.userID = ? OR license.isUserLicense = 0', [WCF::getUser()->userID]);
		$this->objectList->getConditionBuilder()->add('license.userID = ?', [WCF::getUser()->userID]);
	}
}
