{capture assign='contentHeaderNavigation'}<li><a href="{link application='filebase' controller='UserLicenseAdd'}{/link}" class="button"><span class="icon icon16 fa-plus"></span> <span>{lang}filebase.acp.license.add{/lang}</span></a></li>{/capture}

{include file='header'}

{hascontent}
	<div class="paginationTop">
		{content}{pages print=true assign=pagesLinks application='filebase' controller="UserLicenseList" link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder"}{/content}
	</div>
{/hascontent}

{if $objects|count}
	<div class="section tabularBox licenseListContainer">
		<table class="table">
			<thead>
				<tr>
					<th class="columnID columnLicenseID{if $sortField == 'licenseID'} active {@$sortOrder}{/if}" colspan="2"><a href="{link application='filebase' controller='UserLicenseList'}pageNo={@$pageNo}&sortField=licenseID&sortOrder={if $sortField == 'licenseID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wcf.global.objectID{/lang}</a></th>
					<th class="columnTitle columnLicenseName{if $sortField == 'licenseName'} active {@$sortOrder}{/if}"><a href="{link application='filebase' controller='UserLicenseList'}pageNo={@$pageNo}&sortField=licenseName&sortOrder={if $sortField == 'licenseName' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}filebase.license.licenseName{/lang}</a></th>
					<th class="columnText columnLicenseURL{if $sortField == 'licenseURL'} active {@$sortOrder}{/if}"><a href="{link application='filebase' controller='UserLicenseList'}pageNo={@$pageNo}&sortField=licenseURL&sortOrder={if $sortField == 'licenseURL' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}filebase.license.licenseURL{/lang}</a></th>
					<th class="columnText columnUsername{if $sortField == 'username'} active {@$sortOrder}{/if}"><a href="{link application='filebase' controller='UserLicenseList'}pageNo={@$pageNo}&sortField=username&sortOrder={if $sortField == 'username' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}filebase.license.username{/lang}</a></th>

					{event name='columnHeads'}
				</tr>
			</thead>

			<tbody>
				{foreach from=$objects item=license}
					<tr class="jsLicenseRow">
						<td class="columnIcon">
							<a href="{link application='filebase' controller='UserLicenseEdit' object=$license}{/link}" title="{lang}wcf.global.button.edit{/lang}" class="jsTooltip"><span class="icon icon16 fa-pencil"></span></a>
							<span class="icon icon16 fa-times jsDeleteButton jsTooltip pointer" title="{lang}wcf.global.button.delete{/lang}" data-object-id="{@$license->licenseID}" data-confirm-message-html="{lang __encode=true}filebase.acp.license.delete.sure{/lang}"></span>

							{event name='rowButtons'}
						</td>
						<td class="columnID">{@$license->licenseID}</td>
						<td class="columnTitle columnLicenseName"><a href="{link application='filebase' controller='LicenseEdit' object=$license}{/link}">{$license->licenseName}</a></td>
						<td class="columnText columnLicenseURL"><a href="{$license->licenseURL}">{$license->licenseURL}</a></td>
						<td class="columnText columnUsername">
							{if $license->userID}
								<a href="{link controller='User' id=$license->userID title=$license->username}{/link}" data-user-id="{$license->userID}" class="userLink">{$license->username}</a>
							{else}
								{$license->username}
							{/if}
						</td>

						{event name='columns'}
					</tr>
				{/foreach}
			</tbody>
		</table>

	</div>

	<footer class="contentFooter">
		{hascontent}
			<div class="paginationBottom">
				{content}{@$pagesLinks}{/content}
			</div>
		{/hascontent}

		<nav class="contentFooterNavigation">
			<ul>
				<li><a href="{link application='filebase' controller='UserLicenseAdd'}{/link}" class="button"><span class="icon icon16 fa-plus"></span> <span>{lang}filebase.acp.license.add{/lang}</span></a></li>

				{event name='contentFooterNavigation'}
			</ul>
		</nav>
	</footer>
{else}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/if}

<script data-relocate="true">
	$(function() {
		new WCF.Action.Delete('filebase\\data\\license\\UserLicenseAction', '.jsLicenseRow');

		var options = { };
		{if $pages > 1}
			options.refreshPage = true;
			{if $pages == $pageNo}
				options.updatePageNumber = -1;
			{/if}
		{else}
			options.emptyMessage = '{lang}wcf.global.noItems{/lang}';
		{/if}
		new WCF.Table.EmptyTableHandler($('.licenseListContainer'), 'jsLicenseRow', options);
	});
</script>

{include file='footer'}
