{capture assign='contentHeaderNavigation'}<li><a href="{link application='filebase' controller='UserLicenseList'}{/link}" class="button"><span class="icon icon16 fa-list"></span> <span>{lang}filebase.acp.menu.link.filebase.license.list{/lang}</span></a></li>{/capture}

{include file='header'}

{include file='formError'}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

<div class="info">{lang}filebase.license.mode{/lang}</div>

<form method="post" id="licenseFormContainer" class="jsFormGuard" action="{if $action == 'add'}{link application='filebase' controller='UserLicenseAdd'}{/link}{else}{link application='filebase' controller='UserLicenseEdit' object=$license}{/link}{/if}">
	<div class="section">
		<dl{if $errorField == 'licenseName'} class="formError"{/if}>
			<dt><label for="licenseName">{lang}filebase.license.licenseName{/lang}</label></dt>
			<dd>
				<input type="text" id="licenseName" name="licenseName" value="{$licenseName}" required autofocus class="long" maxlength="255">
				{if $errorField == 'licenseName'}
					<small class="innerError">
						{if $errorType == 'empty'}
							{lang}wcf.global.form.error.empty{/lang}
						{else}
							{lang}filebase.license.licenseName.error.{$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>

		<dl class="wide{if $errorField == 'licenseText'}formError{/if}">
			<dt><label for="licenseText">{lang}filebase.license.licenseText{/lang}</label></dt>
			<dd>
				<textarea id="licenseText" name="licenseText" required class="long" data-autosave="de.mysterycode.filebase.userlicense{if $id|isset}{@$id}{/if}" rows="20">{$licenseText}</textarea>
				{if ($action == 'add' && FILEBASE_LICENSE_REDACTOR_ENABLE) || ($license|isset && !$license->isPlainText)}
					{include file='wysiwyg' wysiwygSelector='licenseText'}
					{include file='messageFormTabs' wysiwygContainerID='licenseText'}
				{/if}
				{if $errorField == 'licenseText'}
					<small class="innerError">
						{if $errorType == 'empty'}
							{lang}wcf.global.form.error.empty{/lang}
						{elseif $errorType == 'tooLong'}
							{lang}wcf.message.error.tooLong{/lang}
						{elseif $errorType == 'censoredWordsFound'}
							{lang}wcf.message.error.censoredWordsFound{/lang}
						{elseif $errorType == 'disallowedBBCodes'}
							{lang}wcf.message.error.disallowedBBCodes{/lang}
						{else}
							{lang}filebase.license.licenseText.error.{$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>

		{event name='dataFields'}
	</div>

	{event name='sections'}

	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s">
		{@SECURITY_TOKEN_INPUT_TAG}
	</div>
</form>

<script data-relocate="true">
	$(function () {
		WCF.Message.Submit.registerButton('licenseText', $('#licenseFormContainer > .formSubmit > input[type=submit]'));
		new WCF.Message.FormGuard();
	});
</script>

{include file='footer'}
